Subject: bug#53546: 28.0.91; posn-image fails below an image

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Jan 2022 16:46:48 +0200

> From: "Roland Winkler" <[email-masked]>
> Date: Tue, 25 Jan 2022 23:29:31 -0600
> 
> 
> In 'emacs -Q' load
> 
> (defun foo (event)
>   (interactive "e")
>   (message "%simage"
>            (if (posn-image (event-start event)) "" "not ")))
> (global-set-key [down-mouse-1] 'foo)
> 
> Then visit a pbm image such as etc/images/gnus.pbm from GNU Emacs such
> that the image is smaller than the window displaying the image.  Then
> (left-) clicking inside the image gives the message "image" (fine).
> Clicking on the right of the image gives the message "not image" (again fine).
> However, clicking below the image again gives the message "image", when it
> should be "not image".  (With emacs 27.2, clicking below the image gives
> "not image".)
> 
> I noticed this with djvu-image-rect in djvu.el (GNU Elpa).

Thanks, this silly bug should now be fixed on the emacs-28 branch.